import * as $dara from '@darabonba/typescript';
import { GetClusterRuleSummaryResponseBody } from "./GetClusterRuleSummaryResponseBody";
export declare class GetClusterRuleSummaryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetClusterRuleSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
